请教:安装时提示找不到mysql.h文件

pengjuan 发布于 2010/02/24 22:12
阅读 2K+
收藏 0

RT

在make这一步时,提示以下错误信息:

drv_mysql.c:32:19: mysql.h: No such file or directory
drv_mysql.c:33:26: mysqld_error.h: No such file or directory
drv_mysql.c: In function `mysql_drv_describe':

我的mysql安装在默认路径下,mysql.h和mysqld_error.h文件在/usr/include/mysql/目录下都有,/usr/lib/mysql/目录下也有相应的so文件。mysql的版本:4.1.12

有哪位知道,指点下!十分感谢!

 

加载中
0
小编辑
小编辑

应该要安装 mysql 的开发包。

0
Qdujunjie
Qdujunjie
原来要安装开发包啊???
0
Qdujunjie
Qdujunjie
请问一楼,为什么rpm mysql的安装包的时候提示很多lib**.so的文件找不到?
0
Qdujunjie
Qdujunjie
libaio.so.1()(64bit) is needed by MySQL-server-5.5.29-2.linux2.6.x86_64
        libaio.so.1(LIBAIO_0.1)(64bit) is needed by MySQL-server-5.5.29-2.linux2.6.x86_64
        libaio.so.1(LIBAIO_0.4)(64bit) is needed by MySQL-server-5.5.29-2.linux2.6.x86_64
        libc.so.6()(64bit) is needed by MySQL-server-5.5.29-2.linux2.6.x86_64
        libc.so.6(GLIBC_2.2.5)(64bit) is needed by MySQL-server-5.5.29-2.linux2.6.x86_64
        libc.so.6(GLIBC_2.3)(64bit) is needed by MySQL-server-5.5.29-2.linux2.6.x86_64
        libcrypt.so.1()(64bit) is needed by MySQL-server-5.5.29-2.linux2.6.x86_64
        libcrypt.so.1(GLIBC_2.2.5)(64bit) is needed by MySQL-server-5.5.29-2.linux2.6.x86_64
        libdl.so.2()(64bit) is needed by MySQL-server-5.5.29-2.linux2.6.x86_64
        libdl.so.2(GLIBC_2.2.5)(64bit) is needed by MySQL-server-5.5.29-2.linux2.6.x86_64
        libm.so.6()(64bit) is needed by MySQL-server-5.5.29-2.linux2.6.x86_64
        libm.so.6(GLIBC_2.2.5)(64bit) is needed by MySQL-server-5.5.29-2.linux2.6.x86_64
        libpthread.so.0()(64bit) is needed by MySQL-server-5.5.29-2.linux2.6.x86_64
        libpthread.so.0(GLIBC_2.2.5)(64bit) is needed by MySQL-server-5.5.29-2.linux2.6.x86_64
        libpthread.so.0(GLIBC_2.3.2)(64bit) is needed by MySQL-server-5.5.29-2.linux2.6.x86_64
        librt.so.1()(64bit) is needed by MySQL-server-5.5.29-2.linux2.6.x86_64
        librt.so.1(GLIBC_2.2.5)(64bit) is needed by MySQL-server-5.5.29-2.linux2.6.x86_64

返回顶部
顶部